org.deidentifier.arx.gui.worker.io

## Class Vocabulary

- java.lang.Object
- - org.deidentifier.arx.gui.worker.io.Vocabulary

Direct Known Subclasses:
  Vocabulary_V1

    public abstract class Vocabulary
    extends java.lang.Object

An abstract base class for the XML vocabulary.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`Vocabulary()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `checkVersion(java.lang.String version)` Version check
`static Vocabulary` `forVersion(java.lang.String version)`
`abstract java.lang.String` `getAnonymity()`
`abstract java.lang.String` `getAssigment()`
`abstract java.lang.String` `getAttribute()`
`abstract java.lang.String` `getAttributeWeight()`
`abstract java.lang.String` `getAttributeWeights()`
`abstract java.lang.String` `getChecked()`
`abstract java.lang.String` `getClipboard()`
`abstract java.lang.String` `getConfig()`
`abstract java.lang.String` `getCriteria()`
`abstract java.lang.String` `getCriterion()`
`abstract java.lang.String` `getDatatype()`
`abstract java.lang.String` `getDefinition()`
`abstract java.lang.String` `getDepth()`
`abstract java.lang.String` `getDescription()`
`abstract java.lang.String` `getEscape()`
`abstract java.lang.String` `getFormat()`
`abstract java.lang.String` `getHeader()`
`abstract java.lang.String` `getHistorySize()`
`abstract java.lang.String` `getId()`
`abstract java.lang.String` `getInfoloss()`
`abstract java.lang.String` `getInitialNodesInViewer()`
`abstract java.lang.String` `getInputBytes()`
`abstract java.lang.String` `getLattice()`
`abstract java.lang.String` `getLevel()`
`abstract java.lang.String` `getLinebreak()`
`abstract java.lang.String` `getLocale()`
`abstract java.lang.String` `getMax()`
`abstract java.lang.String` `getMax2()`
`abstract java.lang.String` `getMaxNodesInLattice()`
`abstract java.lang.String` `getMaxNodesInViewer()`
`abstract java.lang.String` `getMetadata()`
`abstract java.lang.String` `getMetric()`
`abstract java.lang.String` `getMicroAggregationFunction()`
`abstract java.lang.String` `getMicroAggregationIgnoreMissingData()`
`abstract java.lang.String` `getMin()`
`abstract java.lang.String` `getMin2()`
`abstract java.lang.String` `getName()`
`abstract java.lang.String` `getNode()`
`abstract java.lang.String` `getNode2()`
`abstract java.lang.String` `getPracticalMonotonicity()`
`abstract java.lang.String` `getPredecessors()`
`abstract java.lang.String` `getProject()`
`abstract java.lang.String` `getProtectSensitiveAssociations()`
`abstract java.lang.String` `getQuote()`
`abstract java.lang.String` `getRef()`
`abstract java.lang.String` `getRelativeMaxOutliers()`
`abstract java.lang.String` `getRemoveOutliers()`
`abstract java.lang.String` `getResponseVariable()`
`abstract java.lang.String` `getSelectedAttribute()`
`abstract java.lang.String` `getSeparator()`
`abstract java.lang.String` `getSnapshotSizeDataset()`
`abstract java.lang.String` `getSnapshotSizeSnapshot()`
`abstract java.lang.String` `getSuccessors()`
`abstract java.lang.String` `getSuppressedAttributeTypes()`
`abstract java.lang.String` `getSuppressionAlwaysEnabled()`
`abstract java.lang.String` `getTransformation()`
`abstract java.lang.String` `getType()`
`abstract java.lang.String` `getVersion()`
`abstract java.lang.String` `getVocabulary()`
`abstract java.lang.String` `getVocabularyVersion()`
`abstract java.lang.String` `getWeight()`
`boolean` `isAnonymity(java.lang.String value)`
`boolean` `isAssigment(java.lang.String value)`
`boolean` `isAttribute(java.lang.String value)`
`boolean` `isChecked(java.lang.String value)`
`boolean` `isClipboard(java.lang.String value)`
`boolean` `isDatatype(java.lang.String value)`
`boolean` `isDefinition(java.lang.String value)`
`boolean` `isFormat(java.lang.String value)`
`boolean` `isInfoloss(java.lang.String value)`
`boolean` `isLattice(java.lang.String value)`
`boolean` `isLevel(java.lang.String value)`
`boolean` `isLocale(java.lang.String value)`
`boolean` `isMax(java.lang.String value)`
`boolean` `isMax2(java.lang.String value)`
`boolean` `isMetadata(java.lang.String value)`
`boolean` `isMicroaggregationFunction(java.lang.String value)`
`boolean` `isMicroaggregationIgnoreMissingData(java.lang.String value)`
`boolean` `isMin(java.lang.String value)`
`boolean` `isMin2(java.lang.String value)`
`boolean` `isName(java.lang.String value)`
`boolean` `isNode(java.lang.String value)`
`boolean` `isNode2(java.lang.String value)`
`boolean` `isPredecessors(java.lang.String value)`
`boolean` `isRef(java.lang.String value)`
`boolean` `isResponseVariable(java.lang.String value)`
`boolean` `isSuccessors(java.lang.String value)`
`boolean` `isTransformation(java.lang.String value)`
`boolean` `isType(java.lang.String value)`
`boolean` `isVersion(java.lang.String value)`
`boolean` `isVocabulary(java.lang.String value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Vocabulary

    public Vocabulary()

### Method Detail

#### forVersion

    public static Vocabulary forVersion(java.lang.String version)

Parameters:
  `version` -
Returns:

#### checkVersion

    public abstract void checkVersion(java.lang.String version)
                               throws org.xml.sax.SAXException

Version check

Parameters:
  `version` -
Throws:
  `org.xml.sax.SAXException`

#### getAnonymity

    public abstract java.lang.String getAnonymity()

Returns:

#### getAssigment

    public abstract java.lang.String getAssigment()

Returns:

#### getAttribute

    public abstract java.lang.String getAttribute()

Returns:

#### getAttributeWeight

    public abstract java.lang.String getAttributeWeight()

Returns:

#### getAttributeWeights

    public abstract java.lang.String getAttributeWeights()

Returns:

#### getChecked

    public abstract java.lang.String getChecked()

Returns:

#### getClipboard

    public abstract java.lang.String getClipboard()

Returns:

#### getConfig

    public abstract java.lang.String getConfig()

Returns:

#### getCriteria

    public abstract java.lang.String getCriteria()

Returns:

#### getCriterion

    public abstract java.lang.String getCriterion()

Returns:

#### getDatatype

    public abstract java.lang.String getDatatype()

Returns:

#### getDefinition

    public abstract java.lang.String getDefinition()

Returns:

#### getDepth

    public abstract java.lang.String getDepth()

Returns:

#### getDescription

    public abstract java.lang.String getDescription()

Returns:

#### getEscape

    public abstract java.lang.String getEscape()

Returns:

#### getFormat

    public abstract java.lang.String getFormat()

Returns:

#### getHeader

    public abstract java.lang.String getHeader()

Returns:

#### getHistorySize

    public abstract java.lang.String getHistorySize()

Returns:

#### getId

    public abstract java.lang.String getId()

Returns:

#### getInfoloss

    public abstract java.lang.String getInfoloss()

Returns:

#### getInitialNodesInViewer

    public abstract java.lang.String getInitialNodesInViewer()

Returns:

#### getInputBytes

    public abstract java.lang.String getInputBytes()

Returns:

#### getLattice

    public abstract java.lang.String getLattice()

Returns:

#### getLevel

    public abstract java.lang.String getLevel()

Returns:

#### getLinebreak

    public abstract java.lang.String getLinebreak()

Returns:

#### getLocale

    public abstract java.lang.String getLocale()

Returns:

#### getMax

    public abstract java.lang.String getMax()

Returns:

#### getMax2

    public abstract java.lang.String getMax2()

Returns:

#### getMaxNodesInLattice

    public abstract java.lang.String getMaxNodesInLattice()

Returns:

#### getMaxNodesInViewer

    public abstract java.lang.String getMaxNodesInViewer()

Returns:

#### getMetadata

    public abstract java.lang.String getMetadata()

Returns:

#### getMetric

    public abstract java.lang.String getMetric()

Returns:

#### getMicroAggregationFunction

    public abstract java.lang.String getMicroAggregationFunction()

Returns:

#### getMicroAggregationIgnoreMissingData

    public abstract java.lang.String getMicroAggregationIgnoreMissingData()

Returns:

#### getMin

    public abstract java.lang.String getMin()

Returns:

#### getMin2

    public abstract java.lang.String getMin2()

Returns:

#### getName

    public abstract java.lang.String getName()

Returns:

#### getNode

    public abstract java.lang.String getNode()

Returns:

#### getNode2

    public abstract java.lang.String getNode2()

Returns:

#### getPracticalMonotonicity

    public abstract java.lang.String getPracticalMonotonicity()

Returns:

#### getPredecessors

    public abstract java.lang.String getPredecessors()

Returns:

#### getProject

    public abstract java.lang.String getProject()

Returns:

#### getProtectSensitiveAssociations

    public abstract java.lang.String getProtectSensitiveAssociations()

Returns:

#### getQuote

    public abstract java.lang.String getQuote()

Returns:

#### getRef

    public abstract java.lang.String getRef()

Returns:

#### getRelativeMaxOutliers

    public abstract java.lang.String getRelativeMaxOutliers()

Returns:

#### getRemoveOutliers

    public abstract java.lang.String getRemoveOutliers()

Returns:

#### getResponseVariable

    public abstract java.lang.String getResponseVariable()

Returns:

#### getSelectedAttribute

    public abstract java.lang.String getSelectedAttribute()

Returns:

#### getSeparator

    public abstract java.lang.String getSeparator()

Returns:

#### getSnapshotSizeDataset

    public abstract java.lang.String getSnapshotSizeDataset()

Returns:

#### getSnapshotSizeSnapshot

    public abstract java.lang.String getSnapshotSizeSnapshot()

Returns:

#### getSuccessors

    public abstract java.lang.String getSuccessors()

Returns:

#### getSuppressedAttributeTypes

    public abstract java.lang.String getSuppressedAttributeTypes()

Returns:

#### getSuppressionAlwaysEnabled

    public abstract java.lang.String getSuppressionAlwaysEnabled()

Returns:

#### getTransformation

    public abstract java.lang.String getTransformation()

Returns:

#### getType

    public abstract java.lang.String getType()

Returns:

#### getVersion

    public abstract java.lang.String getVersion()

Returns:

#### getVocabulary

    public abstract java.lang.String getVocabulary()

Returns:

#### getVocabularyVersion

    public abstract java.lang.String getVocabularyVersion()

Returns:

#### getWeight

    public abstract java.lang.String getWeight()

Returns:

#### isAnonymity

    public boolean isAnonymity(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isAssigment

    public boolean isAssigment(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isAttribute

    public boolean isAttribute(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isChecked

    public boolean isChecked(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isClipboard

    public boolean isClipboard(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isDatatype

    public boolean isDatatype(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isDefinition

    public boolean isDefinition(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isFormat

    public boolean isFormat(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isInfoloss

    public boolean isInfoloss(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isLattice

    public boolean isLattice(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isLevel

    public boolean isLevel(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isLocale

    public boolean isLocale(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isMax

    public boolean isMax(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isMax2

    public boolean isMax2(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isMetadata

    public boolean isMetadata(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isMicroaggregationFunction

    public boolean isMicroaggregationFunction(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isMicroaggregationIgnoreMissingData

    public boolean isMicroaggregationIgnoreMissingData(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isMin

    public boolean isMin(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isMin2

    public boolean isMin2(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isName

    public boolean isName(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isNode

    public boolean isNode(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isNode2

    public boolean isNode2(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isPredecessors

    public boolean isPredecessors(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isRef

    public boolean isRef(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isResponseVariable

    public boolean isResponseVariable(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isSuccessors

    public boolean isSuccessors(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isTransformation

    public boolean isTransformation(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isType

    public boolean isType(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isVersion

    public boolean isVersion(java.lang.String value)

Parameters:
  `value` -
Returns:

#### isVocabulary

    public boolean isVocabulary(java.lang.String value)

Parameters:
  `value` -
Returns: